Package org.opensaml.saml.metadata.resolver.filter.impl

# Enum Class PredicateFilter.Direction

java.lang.Object
java.lang.Enum<PredicateFilter.Direction>
org.opensaml.saml.metadata.resolver.filter.impl.PredicateFilter.Direction

All Implemented Interfaces:
  `Serializable`, `Comparable<PredicateFilter.Direction>`, `Constable`

Enclosing class:
  PredicateFilter

public static enum PredicateFilter.Direction extends Enum<PredicateFilter.Direction>
Whether matching means to include or exclude an entity.

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`EXCLUDE`
Matches are to be excluded.
`INCLUDE`
Matches are to be included.

## Constructor Summary

Constructors
Modifier
Constructor
Description
`private`
`Direction()`

## Method Summary

Modifier and Type
Method
Description
`static PredicateFilter.Direction`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static PredicateFilter.Direction[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### INCLUDE

public static final PredicateFilter.Direction INCLUDE
Matches are to be included.

### EXCLUDE

public static final PredicateFilter.Direction EXCLUDE
Matches are to be excluded.

## Constructor Details

### Direction

private Direction()

## Method Details

### values

public static PredicateFilter.Direction[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static PredicateFilter.Direction valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null